Tag Archives: Tekla

No Thumbnail

Tekla Open API: Insert Single Rebar

This article explains how you can add a single rebar to a concrete part in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open

No Thumbnail

Tekla Structures Add Single Rebar

This article explains how you to add a single rebar to a Tekla model. – Step 1: Detailing >> Create Reinforcement >> Reinforcing Bar: – Step 2: Click on the Part object you want the rebar to be applied to: – Step 3: Select the

No Thumbnail

Tekla Structures: Hide/Show Specific Objects in Model

Models made in Tekla can get very crowded with objects. Working in such a model can get very difficult without hiding some of the objects. This can be done by applying filters. Consider the reinforced concrete model below: Everything is visible in this model: Foundation Foundation

No Thumbnail

Tekla Structures, Create Ties For Part of Column or Beam

Previously in the article Tekla Structures, Create Rectangular Tie Reinforcement I’ve explained how you can fill a column or beam with ties from one end to the other. In this article I will explain how you can create ties for only a part of the column or

No Thumbnail

Tekla Structures, Create Rectangular Tie Reinforcement

This article explains how to create rectangular tie reinforcement for a beam or column. – Method 1, Reinforcing Bar Group: Step 1: Detailing >> Create Reinforcement >> Reinforcing Bar Group: Step 2: Select the part to add the ties to: Step 3: Select the different corners of the

No Thumbnail

Insert Concrete Column Using VB.Net (Tekla Open Api)

This article explains how to insert a concrete column in a tekla model using open api in VB.Net – Step 1: Add reference to the Tekla.Structures.Model.dll and the Tekla Structures.dll assemblies and manually start the application. This has been previous explained in the article below: VB.Net Open

No Thumbnail

Tekla Structures, Regroup Rebars

This article explains how to regroup rebars in Tekla. – Step 1: Details >> Create Reinforcement >>Group: – Step 2: Select the rebars. Press the middle mouse button when done: – Step 3: Rebars in a rebar group all have the same properties. In this step you will need

No Thumbnail

Tekla Structures, Split Rebar Group

This article explains how to split a rebar group in Tekla. Step 1: Details >> Create Reinforcement >> Ungroup: Step 2: Select the rebar group. Press Esc when done: Result: As you can see in the figure below, the rebars can be selected independently now:

No Thumbnail

VB.Net Get Reference to Object, Tekla Open API

This article explains how you can reference to existing objects in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This

No Thumbnail

VB.Net Delete Parts, Tekla Open API

This article explains how you can delete parts in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered